import java.sql.*;

public class Test3 {

    public static void main(String[] argv) {
	try {
	    Class.forName("com.mysql.jdbc.Driver");
	}
	catch(ClassNotFoundException e) {
	    System.out.println("Can't find MYSQL driver: " + e);
	    return;
	}

	for(int i = 0; i < 10; i++) {
	    System.out.println("Iteration " + i);
	    Connection con = null;
	    PreparedStatement ps = null;
	    ResultSet rs = null;

	    try {
		con = DriverManager.getConnection
		    ("jdbc:mysql://localhost/magicfaq?" +
		     "useUnicode=true&characterEncoding=utf8&useServerPrepStmts=true",
		     "magicfaq", "magicfaq");
		ps = con.prepareStatement
		    ("SELECT qc.QuestionId, q.Text " +
		     "FROM Questions q, QuestionsCategories qc " +
		     "WHERE qc.CategoryId = ? " +
		     "AND q.QuestionId = qc.QuestionId " +
		     "AND q.Approved = TRUE");
		ps.setInt(1, 1);
		try {
		    rs = ps.executeQuery();
		}
		catch(Throwable t) {
		    System.out.println("*** Got exception! " + t.getMessage());
		    t.printStackTrace(System.out);
		    return;
		}
		while(rs.next()) {
		    System.out.println(" --");
		}
	    }
	    catch(SQLException e) {
		System.out.println("Error getting questions:" + e);
		return;
	    }
	    finally {
		if(rs != null) {
		    try {rs.close(); }
		    catch(SQLException e) { }
		}
		if(ps != null)  {
		    try {ps.close(); }
		    catch(SQLException e) { }
		}
		if(con != null) {
		    try {con.close(); }
		    catch(SQLException e) { }
		}
	    }
	    try {
		Thread.sleep(1000);
	    }
	    catch(InterruptedException e) { }
	}
    }
}
